Subject: RE: Cross-domain QoS setup

From: "Lalwaney, Poornima (SD-EX)" <[email-masked]>
Date: Thu, 24 Feb 2000 13:49:23 -0500

If the SDP in a SIP INVITE can carry "pre-conditions" to call setup, it
seems very reasonable to me that a subsequent provisional response and/or
its acknowledgement  be allowed to carry an indication in the SDP that the
requested "pre-condition" has been satisfied/not satisfied. 

Cross domain QOS  is an example where such functionality MAY be needed if
RSVP is not used for end to end reservation. 
Rather than talk about the best cross-domain QOS mechanism (to which there
is no proven correct answer), lets focus on the SIP signaling issue:  Can
the SDP in a SIP provisional response/PRACK/info message sent prior to the
final 200OK indicate that the precondition specified in an INVITE has been
satisfied? 

If the answer is yes, one of  the ways to indicate this is through
additional attributes to the pre-condition strength field in the sdp
pre-conditions draft. 

	Thanks..
	Poornima

	---------------------------------------
	Poornima Lalwaney
	Motorola
	858-404-3494
	---------------------------------------
> -----Original Message-----
> From:	Jonathan Rosenberg [SMTP:[email-masked]]
> Sent:	Tuesday, February 22, 2000 3:01 PM
> To:	Adam B. Roach
> Cc:	[email-masked]; [email-masked];
> [email-masked]
> Subject:	Re: Cross-domain QoS setup
> 
> 
> 
> "Adam B. Roach" wrote:
> > The current draft makes an assumption that end-to-end network 
> > resource reservation is controlled by a single entity. For calls
> > being placed across adminstrative domains, however, this will
> > not be the case. Under such circumstances, the reservation of
> > resources needs a greater degree of coordination than is 
> > currently provided in the draft.
> 
> Not really. Resource reservation is under the "control" of all the
> network elements along the path that perform some kind of admission
> control and resource allocation. These elements will often belong to
> different administrative domains. The draft makes no assumptions about
> the number of providers along the reservation path, or anything like
> that. It only ties resource reservation and signaling together at the
> endpoints, dicatating a particular temporal sequence.
> 
> > 
> > In particular, the calling user agent needs the ability to
> > communicate to the called user agent that it has reserved
> > the necessary resources on its end, and that alerting may
> > begin as soon as the called user agent has done the same.
> 
> This is something different from what you are discussing above. It is,
> in fact, covered in the draft. If A calls B, the RSVP RESV message from
> A to B confirms resources are reserved from A to B, and the RESVCONF
> from A to B confirms resource reservation from B to A. This allows B to
> know whether resources are reserved in both directions. A mirror case
> exists for A. 
> 
> The difficulty arises only with the segmented DQoS model in DCS, which
> does not provide a way to confirm resource reservation (I think),
> whereas RSVP does.
> 
> So, the question is this. We know we need a way for both parties to know
> when resources are reserved in both directions. Is this a function that
> belongs somewhere in SIP (through INFO, as you propose, or some other
> means), or in a reservation protocol. The mechanism exists already now
> in RSVP, but not in DQoS (DCS folks, please correct me if I am
> mistaken). So, do we add it to SIP, in which case its not needed for
> RSVP, or should it be added to DQoS, in which case the SIP operation is
> independent of the underlying reservation mechanism?
> 
> I have argued that confirmation of resource reservation is rightly a job
> for a resource reservation protocol. One of the things I like about SIP
> is its separation from session level control and network layer issues,
> such as resource reservation.
> 
> -Jonathan R.
> 
> -- 
> Jonathan D. Rosenberg                       200 Executive Drive
> Chief Scientist                             Suite 120 
> dynamicsoft                                 West Orange, NJ 07052
> [email-masked]                     FAX:   (732) 741-4778
> http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
> http://www.dynamicsoft.com